<template>
	<div class="personal" @click="_personal"></div>
</template>
<script>
    import {mapGetters} from 'vuex'

    export default {
        data(){
            return {
            
            }
        },
        computed: {
            ...mapGetters({
            	'type': 'type',
                'channelInfo': 'channelInfo',
                'userInfo': 'userInfo',
                'jumpUrls': 'jumpUrls'
            }),
        },
        methods: {
            _personal(){
                if(!this.userInfo.id){
                    this.$layer.msg('请先登录');
                    this.$Bus.$emit('bus-showLogin', true);
                }else{
                    window.location.href = this.jumpUrls.center_wallet;
                }

            },
        },
    }
</script>
<style lang="less" scoped>
	.personal{
        position: relative;
        margin-bottom: 5px;
        height: 40px;
        background-size: 100% auto;
        background-image: url(./img/personal.png);
        background-repeat: no-repeat;
        background-position: 0 0;
    }
</style>